# $Revision: 1.3 $, $Date: 2004/05/05 19:16:43 $
#
# Conditional build:
%bcond_without tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Filter-Reindent
Summary:	XML::Filter::Reindent - reformats whitespace for pretty printing XML
Summary(pl):	XML::Filter::Reindent - przeformatowanie spacji dla adnego druku XML-a
Name:		perl-XML-Filter-Reindent
Version:	0.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e3283c7e4cf5da68c1ffb17a454f58c6
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-XML-Filter-DetectWS
%endif
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Filter::Reindent Perl module is a sub class of
XML::Filter::DetectWS.  XML::Filter::Reindent can be used as a PerlSAX
filter to reformat an XML document before sending it to a PerlSAX
handler that prints it (like XML::Handler::Composer).

%description -l pl
Modu Perla XML::Filter::Reindent to podklasa XML::Filter::DetectWS.
Moe by uywany jako filtr PerlSAX do przeformatowywania dokumentw
XML przed przesaniem ich do procedury obsugi PerlSAX drukujcej go
(jak XML::Handler::Composer).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Filter/Reindent.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-Reindent.spec,v $
Revision 1.3  2004/05/05 19:16:43  qboosh
- pl desc

Revision 1.2  2004/05/05 00:44:20  ankry
- summary / desc, BR fixes

Revision 1.1  2004/05/05 00:27:08  ankry
- new
